<dom-module id="chat-pending">
  <template>
    <style>
      :host { display: block; max-width: 300px; }
    </style>
    <template is="dom-repear" items="[[chatQueue]]">
      <div>
        <p>[[item.name]] - [[item.email]] </p>
        <span class="time-left">[[_calDate(item.date)]]</span>
      </div>
    </template>
  </template>

  <script>
    class ChatPending extends Polymer.Element {
      static get is() { return 'chat-pending' }
      static get properties() { 
        return {
          chatQueue: Array,
          days: { 
            type: Array, 
            value: ['0', '01','02','03','04','05','06','07','08','09','10','11','12','13','14','15','16','17','18','19','20','21','22','23','24','25','26','27','28','29','30','31'] 
          },
          months: { 
            type: Array, 
            value: ['ene','feb','mar','abr','may','jun','jul','ago','sep','oct','nov','dic'] 
          }
        }
      }
      _calDate(d) {
        let date = new Date(d);
        return this.days[date.getDate()] + '/' + this.months[date.getMonth()] + '/' + date.getFullYear() + ' ' + this.days[date.getHours()] + ':' + date.getMinutes();
      }
    }
    window.customElements.define(ChatPending.is, ChatPending);
  </script>
</dom-module>
